Skip to Content

List the integrations catalog

Returns the providers this organization can connect, each with its connections and the agents and journeys that use them.

GET
/v1/integrations/catalog

Returns the providers this organization can connect, each with its connections and the agents and journeys that use them.

Authorization

apiKey
headerx-api-key<token>

Response Body

IntegrationCatalogResponse

application/json
  1. response
entries*array<>
Example Request
import { createClient } from "samva";

const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });

const result = await samva.integrationCatalog.list({});
Example Response
{
  "entries": [
    {
      "id": "string",
      "name": "string",
      "category": "commerce",
      "blurb": "string",
      "connect": "account",
      "inviteOnly": "string",
      "app": "string",
      "href": "/whatsapp",
      "connections": [
        {
          "id": "string",
          "account": "string",
          "status": "pending"
        }
      ],
      "usedBy": {
        "agents": 0,
        "journeys": 0
      }
    }
  ]
}

Related documentation